# StartTripFailureReason

Represents the failure reason.

| **NO\_USER**                 | No Sentiance user is present on device. Call [Sentiance#createUser(UserCreationOptions)](/important-topics/sdk/api-reference/android/sentiance.md#createuser) to create a user.                   |
| ---------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **DETECTIONS\_DISABLED**     | Detections are disabled. Enable them first before starting a trip. See [`Sentiance#enableDetections()`](/important-topics/sdk/api-reference/android/sentiance.md#enabledetections)                |
| **DETECTIONS\_BLOCKED**      | Detections are enabled but not running. Check the SDK's status to find out why. see [`StartTripError#getSdkStatus()`](/important-topics/sdk/api-reference/android/starttriperror.md#getsdkstatus) |
| **TRIP\_ALREADY\_STARTED**   | An external trip is already started. To start a new trip, call [`Sentiance#stopTrip()`](/important-topics/sdk/api-reference/android/sentiance.md#stoptrip) first.                                 |
| **USER\_DISABLED\_REMOTELY** | The user is disabled remotely.                                                                                                                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/starttriperror/starttripfailurereason.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
